
/* Fuction.php */

<?php /*** Funzione Thumbnail Attiva ***/

add_theme_support('post-thumbnails');

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
}
if ( function_exists( 'add_image_size' ) ) { 
	add_image_size( 'cover', 1000, 400, true ); 	//(cropped) 
}


?>
<?php  /*** Checkbox nell'backend ***/

add_action( 'add_meta_boxes', 'cd_meta_box_add' );

function cd_meta_box_add(){
	add_meta_box( 'my-meta-box-id', 'Opzioni articolo', 'cd_meta_box_cb', 'page', 'normal', 'low' );
}
function cd_meta_box_cb( $post ){

	$values = get_post_custom( $post->ID );
	$check = isset( $values['my_meta_box_check'] ) ? esc_attr( $values['my_meta_box_check'][0] ) : '';
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	
	?>
  
        <p style="font-size:16px;"> <label for="my_meta_box_check">Vuoi che la pagina appaia nello slider della home? spunta la voce sottostante.</label> </p>
        <p>  <div style="padding:10px;"><input type="checkbox" name="my_meta_box_check" id="my_meta_box_check" <?php checked( $check, 'on' ); ?> /> Aggiungi allo slider nella home </p>

	<?php	
}

add_action( 'save_post', 'cd_meta_box_save' );
function cd_meta_box_save( $post_id ){

	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);

	// This is purely my personal preference for saving checkboxes
	$chk = ( isset( $_POST['my_meta_box_check'] ) && $_POST['my_meta_box_check'] ) ? 'on' : 'off';
	update_post_meta( $post_id, 'my_meta_box_check', $chk );

}

?>


/* loop */

<div class="slider-wrapper theme-default">
	
            <div id="slider" class="nivoSlider">
            
            	<?php query_posts(array('showposts' => 3, 'meta_key' => 'my_meta_box_check','meta_value' => 'on', 'post_type' => 'page','orderby' => 'menu_order','order' => 'ASC' )); while (have_posts()) { the_post(); ?>
	
					 <?php if ( has_post_thumbnail() ) { ?>
					    <?php the_post_thumbnail( 'cover', array('title' => '#cap-'.get_the_ID().'' )); ?>
					 <?php } ?> 
					
					
					
				<?php } wp_reset_query(); ?>
                 
            </div>        

    </div>
    
    <?php query_posts(array('showposts' => 3, 'meta_key' => 'my_meta_box_check','meta_value' => 'on', 'post_type' => 'page')); while (have_posts()) { the_post(); ?>
	
		<div id="cap-<?php echo get_the_ID();?>" class="nivo-html-caption">
	    	<h2><?php the_title(); ?></h2>
		    <?php my_excerpt(30); ?>
		</div>
		
		
	<?php } wp_reset_query(); ?>